clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
ClangTidyPlugin.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendPluginRegistry.h"`
`#include "clang/Frontend/MultiplexConsumer.h"`
Include dependency graph for ClangTidyPlugin.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::ClangTidyPluginAction
| The core clang tidy plugin action. More...

## Namespaces
| clang
| clang::tidy

## Functions
static clang::FrontendPluginRegistry::Add< clang::tidy::ClangTidyPluginAction > | X ("clang-tidy", "clang-tidy")

## Variables
volatile int | ClangTidyPluginAnchorSource = 0
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::CERTModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::LLVMModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::CppCoreGuidelinesModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::GoogleModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::MiscModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::ModernizeModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::MPIModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::PerformanceModuleAnchorDestination
volatile int | clang::tidy::ReadabilityModuleAnchorSource = 0
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::ReadabilityModuleAnchorDestination
static int LLVM_ATTRIBUTE_UNUSED | clang::tidy::ObjCModuleAnchorDestination

## Function Documentation

## ◆ X()

static clang::FrontendPluginRegistry::Add<clang::tidy::ClangTidyPluginAction> X | ( | "clang-tidy" | ,
|  | "clang-tidy" |
| ) |  |
| static

Referenced by clang::tidy::boost::BoostModule::addCheckFactories(), clang::tidy::objc::ObjCModule::addCheckFactories(), clang::tidy::fuchsia::FuchsiaModule::addCheckFactories(), clang::tidy::android::AndroidModule::addCheckFactories(), clang::tidy::google::GoogleModule::getModuleOptions(), and clang::tidy::modernize::ModernizeModule::getModuleOptions().

## Variable Documentation

## ◆ ClangTidyPluginAnchorSource

volatile int ClangTidyPluginAnchorSource = 0

Definition at line 73 of file ClangTidyPlugin.cpp.